---
mlag_priority: primary
loopback:
  ips:
    - "{{ vxlan_local_loopback }}"
  vxlan_local_tunnel_ip: "{{ vxlan_local_loopback | ipaddr('address') }}"
  clag_vxlan_anycast_ip: "{{ vxlan_anycast_loopback | ipaddr('address') }}"
eth0:
  ips:
    - "{{ eth0_ip }}"
interfaces:
  - { name: swp51, options: "{{ leaf_spine_interface }}" }
  - { name: swp52, options: "{{ leaf_spine_interface }}" }
  - { name: swp53, options: "{{ leaf_spine_interface }}" }
  - { name: swp54, options: "{{ leaf_spine_interface }}" }
bonds:
  - name: "bond1"
    ports: [ "swp3" ]
    clag_id: 1
    bridge:
      vids: [ 101, 102 ]
    options:
      mtu: 9000
vnis:
  - "{{ vniRED }}"
  - "{{ vniBLUE }}"
bridge:
  vids:
    - 101
    - 102
    - 4001
    - 4002
mlag:
  sysmac: "{{ mlag_sysmac_prefix }}:{{ sysmac }}"
  priority: "{{ mlag_priority }}"
  peerlinks: [ swp49, swp50 ]
  backup: "{{ hostvars[ mlag_neighbor ].loopback.vxlan_local_tunnel_ip | ipaddr('address') }}"
  init_delay: 10
vlans:
  - "{{ vlan101 }}"
  - "{{ vlan102 }}"
  - "{{ vlan4001 }}"
  - "{{ vlan4002 }}"
vrf:
  - "{{ vrf_mgmt }}"
  - "{{ vrf_RED_border }}"
  - "{{ vrf_BLUE_border }}"
bgp:
  asn: "{{ bgp_asn_prefix }}{{ id }}"
  router_id: "{{ vxlan_local_loopback | ipaddr('address') }}"
  peergroups:
    - { name: underlay, remote_as: external }
  neighbors:
    - { interface: peerlink.4094, unnumbered: yes, peergroup: underlay }
    - { interface: swp51, unnumbered: yes, peergroup: underlay }
    - { interface: swp52, unnumbered: yes, peergroup: underlay }
    - { interface: swp53, unnumbered: yes, peergroup: underlay }
    - { interface: swp54, unnumbered: yes, peergroup: underlay }
  address_family:
    - name: ipv4_unicast
      redistribute:
        - { type: connected }
    - name: l2vpn_evpn
      neighbors:
        - { interface: underlay, activate: yes }
      advertise_all_vni: yes
  vrfs:
    - name: RED
      router_id: "{{ vxlan_local_loopback | ipaddr('address') }}"
      address_family:
        - name: ipv4_unicast
          redistribute:
            - { type: static }
        - name: l2vpn_evpn
          extras:
            - "advertise ipv4 unicast"
    - name: BLUE
      router_id: "{{ vxlan_local_loopback | ipaddr('address') }}"
      address_family:
        - name: ipv4_unicast
          redistribute:
            - { type: static }
        - name: l2vpn_evpn
          extras:
            - "advertise ipv4 unicast"
